curl --request GET \
--url https://api.extole.io/v5/persons/{person_id}/journeys \
--header 'Authorization: <api-key>'import requests
url = "https://api.extole.io/v5/persons/{person_id}/journeys"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.extole.io/v5/persons/{person_id}/journeys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
List person journeys
Returns campaign journeys for the specified person, sorted by start date in descending order. A journey represents a person’s participation lifecycle in a specific campaign (e.g. share, refer-a-friend, purchase).
Authorizations
Path Parameters
The Extole unique profile identifier of this user at Extole.
Query Parameters
Response
Successful response
Extole campaign id associated with this journey.
Campaign container the journey belongs to.
RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
Named data parameters attached to this journey entry.
Show child attributes
Show child attributes
Extole-assigned unique identifier for this journey entry.
Show child attributes
Show child attributes
Name of the journey (program step) the person is on.
Program key associated with this journey.
RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
